unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Math, ExtCtrls, myunit;

type
  TForm1 = class(TForm)
    Edit1: TEdit;
    Edit2: TEdit;
    Button1: TButton;
    Memo1: TMemo;
    Edit3: TEdit;
    Edit4: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    RadioGroup1: TRadioGroup;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;


implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
memo1.Clear;
edit1.text:='-2';
edit2.text:='10';
edit3.text:='-0,1';
edit4.text:='0,01';
radiogroup1.itemindex:=0;
end;

procedure TForm1.Button1Click(Sender: TObject);
var x,y,s,n,xn,xk,e:extended;
    f:fun;
    m:integer;

begin
xn:=strtofloat(edit1.text);
xk:=strtofloat(edit3.text);
m:=strtoint(edit2.text);
e:=strtofloat(edit4.text);

case radiogroup1.itemindex of
0: begin
   f:=my_fun;
   end;
1: begin
   f:=my_sum;
   end;
end;
Tabl(f,xn,xk,e,m,memo1);

end;


end.
